petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMForestGetAdjacencyDimension

Get the dimension of interface points that determine cell adjacency (for the purposes of partitioning and overlap).

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetAdjacencyDimension(DM dm, PetscInt *adjDim)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

adjDim -default 0 (i.e., vertices determine adjacency)

### See Also

DMForestSetAdjacencyDimension(), DMForestGetAdjacencyCodimension(), DMForestSetPartitionOverlap()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages